<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" encoding="utf-8" indent="yes" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"/>
<xsl:template match="root">
<html xmlns="http://www.w3.org/1999/xhtml" lang="cs" xml:lang="cs">
	<head>
		<meta http-equiv="Content-Language" content="cs" />
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<title>Televizní server - <xsl:value-of select="televize" /></title>
		<style>
			a:active {color: #00385f;}
			a:hover {color: #00385f;}
			a:link {color: #00385f;}
			a:visited {color: #00385f;}
			body {background-color: #b7ccdb; color: #00385f; margin-left: 0px; margin-top: 0px; margin-right: 0px; margin-bottom: 0px; padding: 1em;}
			h2 {margin-left: 10px; position: relative;}
			.container {border: 2px dashed #00385f; background-color: #fff; width: 800px; margin-left: 20px; position: relative;}
			p {padding: 1em;}
			#frame {padding: 0.25em 1em 0.25em 1em;}
			#footer {font-size: 8pt; text-align: center; margin-top: 20px;}
		</style>
	</head>
	<body>
		<div id="frame">
			<div>
				<h1>Televizní server - <xsl:value-of select="televize" /></h1>
				<xsl:for-each select="/root/dvbt">
					<h2><xsl:value-of select="heading" /></h2>
					<div class="container">
						<ul>
							<xsl:for-each select="channel">
								<li style="list-style: none outside none; marker-offset: 0;">
									<xsl:value-of select="name" /><br />
									<span style="margin-left: 10px;"><xsl:value-of select="ip" />:<xsl:value-of select="port" /></span>
								</li>
							</xsl:for-each>
						</ul>
					</div>
				</xsl:for-each>
				<h2>Jak si pustím stream?</h2>
				<div class="container">
					<p>
						Ke sledování multimediálního kanálu potřebuješ přehrávač např. VLC Media Player, ale fungují i jiné.
						<br />
						Najdeš ho zde:
						<ul>
							<li><a href="http://www.videolan.org">www.videolan.org</a></li>
							<li><a href="http://www.stahuj.centrum.cz/multimedia/multimedialni_prehravace/vlc-media-player/">stahuj.centrum.cz</a></li>
						</ul>
						Postup pro VLC:
						<ul>
							<li>Stáhnětě si program VLC media player a nainstalujte jej.
Na	příklad z adresy</li>
							<li>Spusťte program, klikněte na Soubor a Open Network Stream…</li>
							<li>Otevře se vám tabulka. Zaškrtněte protokol HTTP/HTTPS/FTP/MMS a do kolonky URL zadejte například 10.117.2.1:8001</li>
							<li>Klikněte na OK a spustí se vám vysílání ČT 1 :-)</li>
						</ul>
						<span style="font-weight: bold;">Poznámka: Vysílání televize bere velké množství dat, a proto není možné jej šířit mimo metalickou/optickou síť.</span>
					</p>
				</div>
			</div>
			<div id="footer">Nápad: <a href="http://www.cipis.net/">Cipis</a> | Dodělal: <a href="http://www.turnovfree.net/">stybla</a> | Návod: Martin Sadílek</div>	
		</div>
	</body>
</html>
</xsl:template>
</xsl:stylesheet>
